<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Honorar\DeleteDozent;

class DeleteDozentController extends \Kufer\Web\KuferTools\Basis\KursDetails\Detailsreiter\Honorar\DeleteDozent\DeleteDozentController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new DeleteDozentUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getControllerToForward($pUseCaseResponse)
  {
    

    $statusMessageContainer = $pUseCaseResponse->statusMessageContainer;
    
    return new \Kufer\KuferTools\Veranstalter\KursUebersicht\KursDetails\KursDetailsExternController($statusMessageContainer);
  }

  
}